<?php

//use Illuminate\Support\Facades\Route;

/*
  |--------------------------------------------------------------------------
  | Web Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register web routes for your application. These
  | routes are loaded by the RouteServiceProvider within a group which
  | contains the "web" middleware group. Now create something great!
  |
 */

//Route::get('language/{id}/{slug?}', 'LanguageController@details');
/**
 * Localization Group
 */
Route::group(['prefix' => LaravelLocalization::setLocale()], function () {

    Route::group(['namespace' => 'Web', 'middleware' => ['checkWebSiteEnabled', 'WebsiteVisitorCount']], function () {
        //Home
        Route::get('/', 'HomeController@index')->name('home');

        Route::get('/our-story', 'PageController@ourstory')->name('our_story');
        Route::get('/about-us', 'PageController@aboutus')->name('about_us');
        Route::get('/contact-us', 'PageController@contactus')->name('contact_us');
        Route::post('/contact-us', 'PageController@contact')->name('contacting');
        Route::get('/join-us', 'PageController@joinus')->name('join_us');
        Route::post('/join-us', 'PageController@joiningus')->name('joining_us');
        Route::get('/branch', 'PageController@branch')->name('branch');
        Route::get('/conditions', 'PageController@conditions')->name('conditions');
        Route::get('/policy', 'PageController@policy')->name('policy');
        Route::get('/accessibility', 'PageController@accessibility')->name('accessibility');
        Route::resource('product', 'ProductController')->only('index');


    });

});
